Subject: Re: [Bitcoin-development] Concerns Regarding Threats by a Developer to Remove Commit Access from Other Developers

From: Eric Lombrozo <[email-masked]>
Date: Fri, 19 Jun 2015 03:52:48 -0700

> On Jun 19, 2015, at 2:37 AM, Mike Hearn <[email-masked]> wrote:
> 
> Or alternatively, fix the reasons why users would have negative experiences with full blocks
> 
> It's impossible, Mark. By definition if Bitcoin does not have sufficient capacity for everyone's transactions, some users who were using it will be kicked out to make way for the others. Whether that happens in some kind of stable organised way or (as with the current code) a fairly chaotic way doesn't change the fundamental truth: some users will find their bitcoin savings have become uneconomic to spend.
> 
> Here's a recent user complaint that provides a preview of coming attractions:
> 
> https://www.reddit.com/r/Bitcoin/comments/39r3bi/breadwallet_asking_me_to_pay_over_10_network_fee/ <https://www.reddit.com/r/Bitcoin/comments/39r3bi/breadwallet_asking_me_to_pay_over_10_network_fee/>
> 
> Hello, I'm just trying to send my small Sarutobi-tips stash (12,159 bits) onto a paper wallet. When I try to send it, a window pops up stating "insufficient funds for bitcoin network fee, reduce payment amount by 1,389 bits?" This would be a fee of $0.32 to send my $2.82, leaving me with $2.50.
> 
> These sorts of complaints will get more frequent and more extreme in the coming months. I realise that nobody at Blockstream is  in the position of running an end user facing service, but many of us are .... and we will be the ones that face the full anger of ordinary users as Bitcoin hits the wall.

Mike,

With all due respect, many of us DO run end user facing services…and would rather see a fundamental problem *fixed* rather than merely covered up temporarily…hoping nobody notices.

The user experience of Bitcoin is already horrendous…unless you use a centralized validator web wallet. Even SPV is fundamentally broken (and I would have pegged you for being one of the people most directly aware of this fact). If we’re going for centralized validation, why even use a blockchain in the first place? We already have much faster, more efficient technology that can do that kind of stuff at a fraction of the cost. If you have well-established entities running banking services, we have other mechanisms in place that can help keep them honest…other far more efficient protocols. We’re basically defeating the very purpose of this invention.

Then there are a bunch of other “inconveniences” about the way Bitcoin currently works. For instance, have you ever received a bunch of small payments (i.e. a crowdsale) and then found yourself in the position of having to suddenly move a big chunk of that on the blockchain…only to discover all the txouts you were spending added up to hundreds of kB or more? Or have you ever had to send a small payment but only had one large output in your wallet…which meant that the entirety of those funds were tied up until the first transaction got signed and propagated? Yes, the protocol has MANY serious issues…of which the “send and forget” fee model as opposed to the “send and bid model” is just one.

Bitcoin was designed from the beginning with the idea that sooner or later fees would be a significant component of the network. The problem was never really fully addressed and solved - I’m glad to see that finally some good people in this space are starting to seriously think about solutions.

Mike, are you telling us you’d rather avoid user complaints at all costs even if that means building something shitty for them that doesn’t really serve its stated purpose? If those are your standards then no thanks, I don’t want to be part of your fork. And I don’t think I’m alone in this sentiment.

- Eric Lombrozo

> ------------------------------------------------------------------------------
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development